org.apache.tamaya.model.spi

## Class AreaConfigModel

- java.lang.Object
- - org.apache.tamaya.model.spi.ConfigModelGroup
  - - org.apache.tamaya.model.spi.AreaConfigModel

- All Implemented Interfaces:
    ConfigModel

      public class AreaConfigModel
      extends ConfigModelGroup

  Default configuration Model for a configuration section.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AreaConfigModel.Builder` Builder for setting up a AreaConfigModel instance.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AreaConfigModel(AreaConfigModel.Builder builder)` Internal constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AreaConfigModel.Builder` | `builder(String name)` Creates a new builder.
    `ModelType` | `getType()` Get the type of item that is modelled.
    `static ConfigModel` | `of(String name, boolean required)` Creates a section validation for the given section.
    `static ConfigModel` | `of(String name, boolean required, ConfigModel... configModels)` Creates a section validation for the given section.
    `String` | `toString()`
    `Collection<ValidationResult>` | `validate(org.apache.tamaya.Configuration config)` Validates the item and all its children against the given configuration.

    - ### Methods inherited from class org.apache.tamaya.model.spi.ConfigModelGroup

      `getDescription, getName, getProvider, getValidations, isRequired`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AreaConfigModel

          protected AreaConfigModel(AreaConfigModel.Builder builder)

      Internal constructor.
      Parameters:
        `builder` - the builder, not null.

  - ### Method Detail

    - #### builder

          public static AreaConfigModel.Builder builder(String name)

      Creates a new builder.
      Parameters:
        `name` - the section name.
      Returns:
        a new builder instance.

    - #### of

          public static ConfigModel of(String name,
                       boolean required)

      Creates a section validation for the given section.
      Parameters:
        `name` - the fully qualified section name
        `required` - flag, if the section is required to be present.
      Returns:
        the ConfigModel instance

    - #### of

          public static ConfigModel of(String name,
                       boolean required,
                       ConfigModel... configModels)

      Creates a section validation for the given section.
      Parameters:
        `name` - the fully qualified section name
        `required` - flag, if the section is required to be present.
        `configModels` - additional configModels
      Returns:
        a new builder, never null.

    - #### getType

          public ModelType getType()

      Description copied from interface: `ConfigModel`
      Get the type of item that is modelled.
      Specified by:
        `getType` in interface `ConfigModel`
      Overrides:
        `getType` in class `ConfigModelGroup`
      Returns:
        the modelled type, never null.

    - #### validate

          public Collection<ValidationResult> validate(org.apache.tamaya.Configuration config)

      Description copied from interface: `ConfigModel`
      Validates the item and all its children against the given configuration.
      Specified by:
        `validate` in interface `ConfigModel`
      Overrides:
        `validate` in class `ConfigModelGroup`
      Parameters:
        `config` - the configuration to be validated against, not null.
      Returns:
        the validation results, never null.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `ConfigModelGroup`

Copyright © 2014–2016 Apache Software Foundation. All rights reserved.